Vulnerability in Joomulus for Joomla

Hello Bugtraq!

I want to warn you about Cross-Site Scripting vulnerability in Joomulus (mod_joomulus) plugin for Joomla. Which I found at 23.12.2009.

It is similar to XSS vulnerability in WP-Cumulus (, because it's using tagcloud.swf made by author of WP-Cumulus. About millions of flash files tagcloud.swf which are vulnerable to XSS attacks I mentioned in my article XSS vulnerabilities in 8 millions flash files (



Code will execute after click. It's strictly social XSS.

Also it's possible to conduct (like in WP-Cumulus) HTML Injection attack, including in those flash files which have protection (in flash files or via WAF) against javascript and vbscript URI in parameter tagcloud.

HTML Injection:


Vulnerable are Joomulus 2.0 and previous versions.

I mentioned about this vulnerability at my site (

Best wishes & regards,
Administrator of Websecurity web site

Relevant Pages